﻿/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

input, select {
    border-radius: 4px;
    border: 1px solid;
    padding: 4px 10px;
}

select {
    display: block;
    width: 100%;
    margin-bottom: 8px;
}

    select::placeholder {
        color: #c1c4d4;
        opacity: 1;
    }

    select:-ms-input-placeholder {
        color: #c1c4d4;
    }

    select::-ms-input-placeholder {
        color: #c1c4d4;
    }


input[type="file"] {
    margin: 0px 0px 10px 0px;
}

.select-list-inline {
    border: 1px solid rgba(47, 54, 94, 0.1) !important;
}

    .select-list-inline dd:first-of-type {
        border-top: 0px !important;
    }

.select-list {
    border-radius: 8px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    background: #ffffff;
    border: 1px solid rgba(47, 54, 94, 0.1);
    overflow: hidden;
    margin-bottom: 8px;
}

    .select-list.open dd {
        display: flex;
    }

    .select-list.open dt a:before {
        content: "\f106";
    }

    .select-list.loading dt a:before {
        content: "\f2f1";
        -webkit-animation: rotating 2s linear infinite;
        -moz-animation: rotating 2s linear infinite;
        -ms-animation: rotating 2s linear infinite;
        -o-animation: rotating 2s linear infinite;
        animation: rotating 2s linear infinite;
    }

    .select-list.loading.open dd {
        display: none;
    }

    .select-list dt a {
        display: block;
        width: 100%;
        align-items: center;
        padding: 10px;
        color: #4c516a;
    }

        .select-list dt a span.count {
            float: right;
            display: none;
            justify-content: center;
            align-items: center;
            background: #f9f9f9;
            border: 1px solid rgba(47, 54, 94, 0.1);
            color: #858baa;
            font-size: 10px;
            height: 18px;
            min-width: 18px;
            padding: 0px 4px;
            font-weight: 900;
            margin-right: 10px;
            border-radius: 9px;
            -webkit-border-radius: 9px;
            -moz-border-radius: 9px;
        }

        .select-list dt a:hover, .select-list dt a:focus {
            text-decoration: none;
        }

        .select-list dt a:before {
            font-family: "Font Awesome 5 free";
            content: "\f107";
            font-size: 16px;
            color: #c1c4d4;
            float: right;
        }

    .select-list dd {
        display: none;
        align-items: center;
        padding: 4px 10px;
        width: 100%;
        color: #4c516a;
        font-size: 12px;
        background: #f2f3f5;
    }

        .select-list dd.empty {
            color: #4c516a;
            font-weight: 700;
        }

        .select-list dd label, .select-list dd a {
            font-size: inherit;
            color: inherit;
            font-weight: inherit;
            text-transform: capitalize;
        }

            .select-list dd a.link {
                display: block;
                width: 100%;
            }

                .select-list dd a.link:hover {
                    font-weight: 700;
                }

                    .select-list dd a.link:hover::after {
                        color: #4c516a;
                    }

                .select-list dd a.link::after {
                    float: right;
                    font-family: "Font Awesome 5 free";
                    font-size: 10px;
                    color: #c1c4d4;
                    font-weight: 700;
                    margin-left: 5px;
                    content: "\f35a";
                }

        .select-list dd:first-of-type {
            border-top: 1px solid rgba(47, 54, 94, 0.1);
            padding-top: 8px;
            justify-content: space-between;
        }

        .select-list dd:last-of-type {
            padding-bottom: 8px;
        }

        .select-list dd a.quick {
            display: block;
            font-size: 10px;
            border: 1px solid rgba(47, 54, 94, 0.1);
            border-radius: 6px;
            -webkit-border-radius: 6px;
            -moz-border-radius: 6px;
            background: #f9f9f9;
            padding: 4px 5px;
            color: #4c516a;
            font-weight: 700;
        }

            .select-list dd a.quick:before {
                font-family: "Font Awesome 5 free";
                font-size: 10px;
                color: #c1c4d4;
                font-weight: 700;
                margin-right: 5px;
            }

            .select-list dd a.quick.all:before {
                content: "\f055";
                color: #3dbf72;
            }

            .select-list dd a.quick.none:before {
                content: "\f056";
                color: #eb3755;
            }

            .select-list dd a.quick:hover {
                background: #f2f3f5;
            }

/* Date-range*/
#ui-datepicker-div {
    background: #ffffff;
    padding: 10px;
    border: 1px solid rgba(47, 54, 94, 0.1);
    color: #4c516a;
    border-radius: 8px;
    font-size: 16px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    box-shadow: 0 1px 2px 0 rgba(28, 38, 94, 0.1), 0 0.5px 1px 0 rgba(47, 54, 94, 0.1);
}

    #ui-datepicker-div .ui-datepicker-header {
        position: relative;
        margin-bottom: 5px;
    }

        #ui-datepicker-div .ui-datepicker-header select {
            font-size: 14px;
        }

        #ui-datepicker-div .ui-datepicker-header a {
            position: absolute;
            color: #ffffff;
            width: 20px;
            height: 20px;
            overflow: hidden;
            top: 40px;
            display: none;
        }

            #ui-datepicker-div .ui-datepicker-header a:last-of-type {
                right: 0px;
            }

                #ui-datepicker-div .ui-datepicker-header a:last-of-type:before {
                    content: "\f105";
                }

            #ui-datepicker-div .ui-datepicker-header a:before {
                width: 20px;
                height: 20px;
                text-align: center;
                font-family: 'Font Awesome\ 5 Free';
                content: "\f104";
                margin: 0px;
                display: inline-block;
                color: #324191;
                font-weight: 900;
                cursor: pointer;
            }

        #ui-datepicker-div .ui-datepicker-header .ui-datepicker-title {
            text-transform: uppercase;
            font-size: 16px;
            color: #324191;
            font-weight: 700;
            text-align: center;
        }

    #ui-datepicker-div .ui-datepicker-calendar thead th span {
        display: inline-flex;
        width: 25px;
        height: 15px;
        justify-content: center;
        align-items: center;
        text-transform: uppercase;
        font-size: 12px;
        color: #4c516a;
    }

    #ui-datepicker-div .ui-datepicker-calendar tbody td a {
        color: #4c516a;
        background: #ffffff;
        display: inline-flex;
        width: 30px;
        height: 30px;
        justify-content: center;
        align-items: center;
        border: 1px solid #4c516a;
        border-radius: 4px;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        text-decoration: none;
        /*margin: 1px;*/
    }

        #ui-datepicker-div .ui-datepicker-calendar tbody td a:hover {
            border: none;
            background: #e4e6ea;
        }

        #ui-datepicker-div .ui-datepicker-calendar tbody td a.ui-state-active {
            background: #324191;
            font-weight: 700;
            color: #ffffff;
        }

    #ui-datepicker-div .ui-datepicker-calendar tbody td.ui-state-disabled .ui-state-default {
        color: #4c516a;
        background: lightgrey;
        display: inline-flex;
        width: 30px;
        height: 30px;
        justify-content: center;
        align-items: center;
        text-align: center;
        border-radius: 4px;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        border: 1px solid #4c516a;
        cursor: not-allowed;
        text-decoration: line-through;
    }
/* Date-range*/

.ui-datepicker.ui-datepicker-div {
    width: 240px;
}

#ui-datepicker-div2 {
    background: #ffffff;
    padding: 10px;
    border: 1px solid rgba(47, 54, 94, 0.1);
    color: #4c516a;
    border-radius: 8px;
    font-size: 16px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    box-shadow: 0 1px 2px 0 rgba(28, 38, 94, 0.1), 0 0.5px 1px 0 rgba(47, 54, 94, 0.1);
}

    #ui-datepicker-div2 .ui-datepicker-header {
        position: relative;
        margin-bottom: 5px;
    }

        #ui-datepicker-div2 .ui-datepicker-header select {
            font-size: 14px;
        }

        #ui-datepicker-div2 .ui-datepicker-header a {
            position: absolute;
            color: #ffffff;
            width: 20px;
            height: 20px;
            overflow: hidden;
            top: 40px;
            display: none;
        }

            #ui-datepicker-div2 .ui-datepicker-header a:last-of-type {
                right: 0px;
            }

                #ui-datepicker-div2 .ui-datepicker-header a:last-of-type:before {
                    content: "\f105";
                }

            #ui-datepicker-div2 .ui-datepicker-header a:before {
                width: 20px;
                height: 20px;
                text-align: center;
                font-family: 'Font Awesome\ 5 Free';
                content: "\f104";
                margin: 0px;
                display: inline-block;
                color: #324191;
                font-weight: 900;
                cursor: pointer;
            }

        #ui-datepicker-div2 .ui-datepicker-header .ui-datepicker-title {
            text-transform: uppercase;
            font-size: 16px;
            color: #324191;
            font-weight: 700;
            text-align: center;
        }

    #ui-datepicker-div2 .ui-datepicker-calendar thead th span {
        display: inline-flex;
        width: 25px;
        height: 15px;
        justify-content: center;
        align-items: center;
        text-transform: uppercase;
        font-size: 12px;
        color: #4c516a;
    }

    #ui-datepicker-div2 .ui-datepicker-calendar tbody td a {
        color: #4c516a;
        background: #ffffff;
        display: inline-flex;
        width: 30px;
        height: 30px;
        justify-content: center;
        align-items: center;
        border: 1px solid #4c516a;
        border-radius: 4px;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        text-decoration: none;
        /*margin: 1px;*/
    }

        #ui-datepicker-div2 .ui-datepicker-calendar tbody td a:hover {
            border: none;
            background: #e4e6ea;
        }

        #ui-datepicker-div2 .ui-datepicker-calendar tbody td a.ui-state-active {
            background: #324191;
            font-weight: 700;
            color: #ffffff;
        }

    #ui-datepicker-div2 .ui-datepicker-calendar tbody td.ui-state-disabled .ui-state-default {
        color: #4c516a;
        background: lightgrey;
        display: inline-flex;
        width: 30px;
        height: 30px;
        justify-content: center;
        align-items: center;
        text-align: center;
        border-radius: 4px;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        border: 1px solid #4c516a;
        cursor: not-allowed;
        text-decoration: line-through;
    }
/* Input and HTML */
.date-picker {
    position: relative;
    margin-bottom: 16px;
    width: 100%;
}

    .date-picker .err {
        display: inline-block;
        border-radius: 4px;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        padding: 5px 10px;
        margin-top: 20px;
        background: #eb3755;
        color: rgba(255, 255, 255, 0.85);
    }

        .date-picker .err b {
            color: #ffffff;
        }

        .date-picker .err i {
            margin-right: 10px;
            font-size: 18px;
        }

    .date-picker a.calendar {
        float: left;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 26px;
        height: 26px;
        background: #f2f3f5;
        border: 1px solid rgba(47, 54, 94, 0.1);
        border-radius: 100%;
        -webkit-border-radius: 100%;
        -moz-border-radius: 100%;
        font-size: 8px;
        color: #c1c4d4;
        margin: -5px 6px 6px 0px;
    }

        .date-picker a.calendar i {
            margin: 0px;
            color: inherit;
            font-size: 12px;
        }

        .date-picker a.calendar:hover {
            color: #ffb612;
            background: #394b5d;
            border-color: #394b5d;
        }

    .date-picker .hiddenDate {
        display: none;
    }

    .date-picker .time-block {
        margin: 0px 0px 11px 0px;
        padding-top: 5px;
    }

    .date-picker .block {
        background: #ffffff;
        border-radius: 8px;
        -webkit-border-radius: 8px;
        -moz-border-radius: 8px;
        border: 1px solid rgba(47, 54, 94, 0.1);
        padding: 4px;
        display: inline-block;
    }

    .date-picker label {
        font-size: 12px;
        text-transform: none;
        font-weight: 700;
        color: #324191;
        margin: 0px 0px 4px 0px;
        padding: 0px;
        display: block;
    }

    .date-picker i {
        color: #c1c4d4;
        margin-right: 5px;
    }

    .date-picker span {
        color: #c1c4d4;
        padding: 2px 0px;
    }

    .date-picker .seperator-sign {
        position: absolute;
        margin-left: -3px;
    }

    .date-picker input[type="checkbox"] {
        transform: translateY(2px);
    }

    .date-picker input[type="text"] {
        display: inline-block;
        border: none;
        border-bottom: 0px solid #c1c4d4;
        padding: 0px;
        margin: 0px;
        font-size: 12px;
        height: auto;
        width: 25px;
        border-radius: 0px;
        -webkit-border-radius: 0px;
        -moz-border-radius: 0px;
        text-align: center;
        color: #4c516a;
        padding: 2px 0px;
    }

.date-picker__year {
    width: 36px !important;
}

/*Checkbox*/

input[type="checkbox"],
input[type="radio"] {
    margin: 10px 5px 0px 25px;
}

.checkbox-label {
    font-size: 90%;
    margin-bottom: 0;
    margin-top: 10px;
    margin-left: 25px;
    padding-left: 5px;
}

.checkbox-label input[type="checkbox"] {
    display: inline-block;
    margin-left: 0;
}

.privacy-policy {
    font-size: 90%;
    padding-top: 10px;
    margin-top: 0px;
    margin-right: 5px;
    margin-bottom: 0px;
    margin-left: 25px;
}
